class Rcms::PagesController < ApplicationController
  def show
    @rcms_page = retrieve_rcms_page params[:slug]
    unless @rcms_page
      redirect_to root_path, flash: {warning: t("rcms.page.not_found", slug: params[:slug])}
    end

    rcms_menu @rcms_page.slug
  end

  protected
  def retrieve_rcms_page slug_or_id
    Rcms::Page.find slug_or_id
  rescue
  end
end