class CreateRcmsTidingsTables < ActiveRecord::Migration
  def self.up
    create_table :rcms_tidings do |t|
      t.string :image
      t.string :title
      t.string :description
      t.string :slug
      t.boolean :is_published
      t.text :text

      t.timestamps
    end
    add_index :rcms_tidings, :slug, unique: true
  end

  def self.down
    drop_table :rcms_tidings
  end
end
