ActiveAdmin.register Rcms::MetaPage do
  permit_params :path, meta_tags_attributes:[:id, :key, :value, :_destroy]

  form do |f|
    f.inputs do
      f.input :path, hint: t("activerecord.attributes.rcms/meta_page.path_hint")
      f.has_many :meta_tags, allow_destroy: true, new_record: true do |cf|
        cf.input :key
        cf.input :value
      end
    end
    f.actions
  end

  filter :path

end
