class Rcms::FeedbacksController < ApplicationController
  def create
    @feedback = Feedback.new( params.require(:rcms_feedback).permit(:username, :feedback_type, :text, :phone) )
    if @feedback.valid?
      FeedbackMailer.feedback(@feedback).deliver_now
      flash[:success] = t('rcms.feedback.created')
      redirect_to root_path
    else
      render :create
    end
  end
end